Get Evaluation Status
curl --request GET \
--url https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"evaluation_id": "evaluation_01k4x9m2p7q3r7b1",
"status": "PROCESSING",
"created_at": "2024-02-24T10:00:00Z",
"completed_at": "2024-02-24T10:05:00Z",
"updated_at": "2023-11-07T05:31:56Z",
"progress": 123,
"eta_seconds": 123,
"error": "Inference server rejected the batch: model not found"
}{
"detail": "Model not found"
}{
"detail": "Model not found"
}{
"detail": "Model not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Evaluations
Get Evaluation Status
Get the current status of an evaluation.
This endpoint retrieves the status of a running or completed evaluation. Use this to determine when results are ready; fetch the full record once from GET /evaluations/{evaluation_id}.
Path Parameters:
evaluation_id: Unique evaluation identifier
Returns:
evaluation_id: The evaluation identifierstatus: Current status (QUEUED,PROCESSING,READY,FAILED)created_at,completed_at,updated_at: timestampsprogress,eta_seconds: not wired up yet, always nullerror: why the evaluation failed, set only when status isFAILED
Raises:
404: If evaluation not found or doesn’t belong to the authenticated user
Example Request:
GET /api/v3/evaluations/evaluation_01k4x9m2p7q3r7b1/status
Headers: {"Authorization": "Bearer <api_key>"}
Example Response:
{
"evaluation_id": "evaluation_01k4x9m2p7q3r7b1",
"status": "READY",
"created_at": "2024-02-24T10:00:00Z",
"completed_at": "2024-02-24T10:05:00Z",
"updated_at": "2024-02-24T10:05:00Z",
"progress": null,
"eta_seconds": null
}
Notes:
- Once status is
READY, use/evaluations/{evaluation_id}/resultsto get full results - Status
FAILEDindicates an error occurred during evaluation
GET
/
api
/
v3
/
evaluations
/
{evaluation_id}
/
status
Get Evaluation Status
curl --request GET \
--url https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nugen.in/api/v3/evaluations/{evaluation_id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"evaluation_id": "evaluation_01k4x9m2p7q3r7b1",
"status": "PROCESSING",
"created_at": "2024-02-24T10:00:00Z",
"completed_at": "2024-02-24T10:05:00Z",
"updated_at": "2023-11-07T05:31:56Z",
"progress": 123,
"eta_seconds": 123,
"error": "Inference server rejected the batch: model not found"
}{
"detail": "Model not found"
}{
"detail": "Model not found"
}{
"detail": "Model not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Response
Returns the current status and progress of an evaluation. This endpoint retrieves the status of a running or completed evaluation with detailed progress metrics, allowing users to track the evaluation process and determine when results are ready.
Status and summary of one evaluation.
Was this page helpful?